#ifndef MY_WORD_H
#define MY_WORD_H
#include <ostream>
#include <vector>
#include <iostream>
#include "PhysicsElement.h"
#include "Ball.h"
using namespace std;
class Ball;

class MyWorld {
private:
   ostream & out;
   vector<PhysicsElement*> elements;  // array to hold everything in my world.
public:
   MyWorld(ostream & output=cout);
   void addElement(PhysicsElement *e);
   void printStateDescription();
   void printState(double t);
   void simulate (double delta_t, double endTime, double samplingTime);
 };
#endif
